Profile Trophies by Name V2
Fetch a user's profile-as-subreddit trophies. Returns a different shape than User Trophies — operates on the profile subreddit rather than the redditor account.
GET /api/v2/profile/q/profile-trophies
Fetch a user's profile-as-subreddit trophies. Returns a different shape than User Trophies — operates on the profile subreddit rather than the redditor account. Accepts username, u/username, or profile URL.
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
username | string | Yes | Username, u/username, or profile URL |
Authentication
| Header | Value |
|---|---|
X-RapidAPI-Key | Your RapidAPI key |
X-RapidAPI-Host | red-crawler1.p.rapidapi.com |
Example request
cURL
curl -X GET "https://red-crawler1.p.rapidapi.com/api/v2/profile/q/profile-trophies?username=Motor_Tip8865" \
-H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
-H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"JavaScript
const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/profile/q/profile-trophies?username=Motor_Tip8865", {
method: "GET",
headers: {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
});
const data = await res.json();
console.log(data);Python
import requests
url = "https://red-crawler1.p.rapidapi.com/api/v2/profile/q/profile-trophies?username=Motor_Tip8865"
headers = {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())Example response
HTTP 200 — captured from a live call to the gateway.
{
"success": true,
"data": {
"success": true,
"trophies": [
{
"description": null,
"icon70Url": "https://i.redd.it/cms/871b9df322b7cddd_trophy_image_for_20_year_club.png",
"grantedAt": "2025-06-06T00:00:00.000000+0000",
"name": "20-Year Club",
"trophyId": null,
"awardId": null,
"url": null
},
{
"description": "Unlocked by receiving an Argentium award on a post or comment.",
"icon70Url": "https://i.redd.it/cms/3655042a1351780a_trophy_image_for_argentium_award.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Argentium Club",
"trophyId": "rd_2mimqo",
"awardId": "t6_33",
"url": null
},
{
"description": "2023-01-01",
"icon70Url": "https://i.redd.it/cms/df135fa7d5369325_trophy_image_for_inciteful_link.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Inciteful Link",
"trophyId": "rd_wt7cq",
"awardId": "t6_7",
"url": "/tb/3fx2au"
},
{
"description": "2023-01-01",
"icon70Url": "https://i.redd.it/cms/3a0645e367cd6e4b_trophy_image_for_inciteful_comment.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Inciteful Comment",
"trophyId": "rd_2houdv",
"awardId": "t6_8",
"url": "/r/announcements/comments/gxas21/upcoming_changes_to_our_content_policy_our_board/ft0ekhk/?context=5#ft0ekhk"
},
{
"description": "2023-01-01",
"icon70Url": "https://i.redd.it/cms/df135fa7d5369325_trophy_image_for_inciteful_link.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Inciteful Link",
"trophyId": "rd_1f5ifn",
"awardId": "t6_7",
"url": "/tb/4x35a3"
},
{
"description": "Unlocked by receiving a Ternion award on a post or comment.",
"icon70Url": "https://i.redd.it/cms/78b18da56e445587_trophy_image_for_ternion_club.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Ternion Club",
"trophyId": "rd_2x2s4u",
"awardId": "t6_30",
"url": null
},
{
"description": "2023-01-01",
"icon70Url": "https://i.redd.it/cms/3a0645e367cd6e4b_trophy_image_for_inciteful_comment.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Inciteful Comment",
"trophyId": "rd_1izjfq",
"awardId": "t6_8",
"url": "/r/announcements/comments/59k22p/hey_its_reddits_totally_politically_neutral_ceo/d9929yb/?context=5#d9929yb"
},
{
"description": "Unlocked for watching the live debut of Reddit's Public Access Network (RPAN) in August of 2019.",
"icon70Url": "https://i.redd.it/cms/66307abd0589e7d1_trophy_image_for_rpan_viewer.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "RPAN Viewer",
"trophyId": "rd_2865oz",
"awardId": "t6_2r",
"url": null
},
{
"description": "Unlocked by taking part in the 2019 r/gameofthrones Throne Pool event.",
"icon70Url": "https://i.redd.it/cms/7a115fa8b443e9e5_trophy_image_for_not_forgotten.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Not Forgotten",
"trophyId": "rd_23y6pl",
"awardId": "t6_2p",
"url": null
},
{
"description": "Unlocked by giving or receiving a Wearing is Caring award.",
"icon70Url": "https://i.redd.it/cms/ee7b40c167f9f0ed_trophy_image_for_wearing_is_caring.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Wearing is Caring",
"trophyId": "rd_2migfn",
"awardId": "t6_32",
"url": null
},
{
"description": "Unlocked by placing one of the final white tiles on the 2022 r/place canvas.",
"icon70Url": "https://i.redd.it/cms/f19775c9fd4557a0_trophy_image_for_end_game__22.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "End Game '22",
"trophyId": "rd_34e25c",
"awardId": "t6_rf",
"url": null
},
{
"description": "Since July 2015",
"icon70Url": "https://i.redd.it/cms/bd81ab91852da94e_trophy_image_for_reddit_premium.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Reddit Premium",
"trophyId": "rd_vr3vt",
"awardId": "t6_v",
"url": "/gold/about"
},
{
"description": "2023-01-01",
"icon70Url": "https://i.redd.it/cms/3a0645e367cd6e4b_trophy_image_for_inciteful_comment.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Inciteful Comment",
"trophyId": "rd_1uf5vo",
"awardId": "t6_8",
"url": "/r/announcements/comments/827zqc/in_response_to_recent_reports_about_the_integrity/dv83xs6/?context=5#dv83xs6"
},
{
"description": "2023-01-01",
"icon70Url": "https://i.redd.it/cms/df135fa7d5369325_trophy_image_for_inciteful_link.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Inciteful Link",
"trophyId": "rd_1uf5tz",
"awardId": "t6_7",
"url": "/tb/827zqc"
},
{
"description": "Unlocked by completing the online mod course, \"Mod 101: Moderator Certification\".",
"icon70Url": "https://i.redd.it/cms/215aa380fed69d14_trophy_image_for_mod_101.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Mod 101",
"trophyId": "rd_3gmxxv",
"awardId": "t6_e6",
"url": null
},
{
"description": "Unlocked by taking part in the 2022 r/place.",
"icon70Url": "https://i.redd.it/cms/df96292bd112450b_trophy_image_for_place_22.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Place '22",
"trophyId": "rd_38o969",
"awardId": "t6_sf",
"url": null
},
{
"description": "2023-01-01",
"icon70Url": "https://i.redd.it/cms/987a274d54a032ee_trophy_image_for_best_comment.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Best Comment",
"trophyId": "rd_vrpju",
"awardId": "t6_4",
"url": "/r/announcements/comments/3cucye/an_old_team_at_reddit/csz1fte?context=5#csz1fte"
},
{
"description": "2023-01-01",
"icon70Url": "https://i.redd.it/cms/df135fa7d5369325_trophy_image_for_inciteful_link.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Inciteful Link",
"trophyId": "rd_1c6kuc",
"awardId": "t6_7",
"url": "/tb/4ny59k"
},
{
"description": "Unlocked by participating in r/Snoo's \"What\u2019s Snoo: 20th cakeday contest.\"",
"icon70Url": "https://i.redd.it/cms/9a9b7da118822cf4_20th_cakeday_participation.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "20th Cakeday Participation",
"trophyId": "rd_4m6do4",
"awardId": "t6_1vf",
"url": "https://www.reddit.com/r/Snoo/"
},
{
"description": null,
"icon70Url": "https://i.redd.it/cms/034d06bbd23e0a6d_trophy_image_for_verified_email.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Verified Email",
"trophyId": "rd_4zhv",
"awardId": "t6_o",
"url": null
},
{
"description": "2023-01-01",
"icon70Url": "https://i.redd.it/cms/df135fa7d5369325_trophy_image_for_inciteful_link.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Inciteful Link",
"trophyId": "rd_vy4q0",
"awardId": "t6_7",
"url": "/tb/3dautm"
},
{
"description": "Unlocked by helping test the redesign of Reddit's desktop site that took place in 2018.",
"icon70Url": "https://i.redd.it/cms/af2074e41362dee7_trophy_image_for_alpha_tester.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Alpha Tester",
"trophyId": "rd_1v9cjg",
"awardId": "t6_29",
"url": null
},
{
"description": "Unlocked by taking part in the 2017 r/place.",
"icon70Url": "https://i.redd.it/cms/0df50306c8ca7c15_trophy_image_for_place__17.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Place '17",
"trophyId": "rd_375zhg",
"awardId": "t6_se",
"url": null
},
{
"description": "Century Club",
"icon70Url": "https://i.redd.it/cms/7a0d1a14720007a0_trophy_image_for_rally_monkey.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Rally Monkey",
"trophyId": "rd_12ahw",
"awardId": "t6_11",
"url": "http://www.reddit.com/r/ColbertRally"
},
{
"description": "2023-01-01",
"icon70Url": "https://i.redd.it/cms/987a274d54a032ee_trophy_image_for_best_comment.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Best Comment",
"trophyId": "rd_vt6s4",
"awardId": "t6_4",
"url": "/r/IAmA/comments/3cxedn/i_am_steve_huffman_the_new_ceo_of_reddit_ama/cszv2lg?context=5#cszv2lg"
},
{
"description": "Unlocked by being one of those spared in The Snap, also known as The Snappening.",
"icon70Url": "https://i.redd.it/cms/0d23471bb1a7cd18_trophy_image_for_spared.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Spared",
"trophyId": "rd_1w20p2",
"awardId": "t6_2b",
"url": "https://www.reddit.com/r/thanosdidnothingwrong/"
},
{
"description": "Unlocked by earning 250 karma and becoming a Helper in r/ModSupport.",
"icon70Url": "https://i.redd.it/cms/54061c140ad8c4f7_trophy_image_for_modsupport_helper_level_2.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "ModSupport Helper Level 2",
"trophyId": "rd_4dac2v",
"awardId": "t6_137",
"url": "https://www.reddit.com/r/ModSupport"
},
{
"description": "Unlocked by placing one of the first tiles on an untouched section of the 2022 r/place canvas.",
"icon70Url": "https://i.redd.it/cms/075549c9c4284b30_trophy_image_for_first_placer__22.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "First Placer '22",
"trophyId": "rd_35fu69",
"awardId": "t6_sc",
"url": null
},
{
"description": "Unlocked by getting 100 awards in a month.",
"icon70Url": "https://i.redd.it/cms/760e68b601e561c0_trophy_image_for_100_awards_club.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "100 Awards Club",
"trophyId": "rd_2m8tiw",
"awardId": "t6_31",
"url": null
},
{
"description": "Unlocked by voting on contributions to Sequence in 2019.",
"icon70Url": "https://i.redd.it/cms/70cd162febc668ac_trophy_image_for_sequence_editor.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Sequence Editor",
"trophyId": "rd_21ftyk",
"awardId": "t6_2l",
"url": "https://www.reddit.com/r/sequence/"
},
{
"description": "2023-01-01",
"icon70Url": "https://i.redd.it/cms/8f1e7fb850945557_trophy_image_for_combo_commenter.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Combo Commenter",
"trophyId": "rd_12qg",
"awardId": "t6_6",
"url": null
},
{
"description": "2 Exchanges",
"icon70Url": "https://i.redd.it/cms/2cdfe0693991f82e_trophy_image_for_reddit_gifts_exchanges.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Reddit Gifts Exchanges",
"trophyId": "rd_1teu74",
"awardId": "t6_1k",
"url": "https://redditgifts.com/profiles/view/spez/"
},
{
"description": "2023-01-01",
"icon70Url": "https://i.redd.it/cms/3a0645e367cd6e4b_trophy_image_for_inciteful_comment.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Inciteful Comment",
"trophyId": "rd_1c6kx9",
"awardId": "t6_8",
"url": "/r/announcements/comments/4ny59k/lets_talk_about_orlando/d480txj?context=5#d480txj"
},
{
"description": "2023-01-01",
"icon70Url": "https://i.redd.it/cms/df135fa7d5369325_trophy_image_for_inciteful_link.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Inciteful Link",
"trophyId": "rd_2hou19",
"awardId": "t6_7",
"url": "/tb/gxas21"
},
{
"description": "Unlocked by being a part of Reddit Mold in 2021.",
"icon70Url": "https://i.redd.it/cms/045849e9a089a25e_trophy_image_for_reddit_mold.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Reddit Mold",
"trophyId": "rd_1r0kj",
"awardId": "t6_15",
"url": "http://blog.reddit.com/2011/03/reddit-mold-is-now-live.html"
},
{
"description": null,
"icon70Url": "https://www.redditstatic.com/awards2/mod_world_2025-70.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Mod World 2025",
"trophyId": "rd_4njzd0",
"awardId": "t6_1z5",
"url": "https://www.reddit.com/r/ModEvents/comments/1nhoflt/mod_world_2025_two_days_two_events_twenty_years/"
},
{
"description": "Reddit for iOS",
"icon70Url": "https://i.redd.it/cms/d213dc0c47bd18f2_trophy_image_for_beta_team.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Beta Team",
"trophyId": "rd_1gh8e9",
"awardId": "t6_w",
"url": null
},
{
"description": "2023-01-01",
"icon70Url": "https://i.redd.it/cms/df135fa7d5369325_trophy_image_for_inciteful_link.png",
"grantedAt": "2023-01-01T00:00:00.000000+0000",
"name": "Inciteful Link",
"trophyId": "rd_w0w18",
"awardId": "t6_7",
"url": "/tb/3djjxw"
},
{
"description": "Top 20%",
"icon70Url": "https://i.redd.it/cms/6f7c2242134f92f6_trophy_image_for_second.png",
"grantedAt": "2021-04-08T03:50:00.000000+0000",
"name": "Second",
"trophyId": "rd_2sr73p",
"awardId": "t6_9k",
"url": "https://www.reddit.com/r/Second/"
},
{
"description": "2021-03-25",
"icon70Url": "https://i.redd.it/cms/df135fa7d5369325_trophy_image_for_inciteful_link.png",
"grantedAt": "2021-03-25T08:28:08.000000+0000",
"name": "Inciteful Link",
"trophyId": "rd_2sb87s",
"awardId": "t6_7",
"url": "/tb/mcisdf"
}
],
"count": 40
},
"error": null,
"timestamp": "2026-04-29T19:15:17.623438+00:00"
}User Trophies by Name V2
Fetch a user's public trophies — trophy names, icons, descriptions, grant dates, and categories. Accepts username, u/username, or profile URL.
Profile Posts by Name V2
Fetch a user's submitted posts. Returns post title, score, comment count, subreddit, media, and more. Accepts username, u/username, or profile URL.